package com.gic.haoban.manage.web.qo.chat;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.gic.commons.web.qo.PageQo;

import java.io.Serializable;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
public class GroupChatActivitySearchQO extends PageQo implements Serializable {
    private static final long serialVersionUID = 692426229105512689L;

    /**
     * 搜索内容
     */
    private String search;
    /**
     * 状态1未开始2进行中3已终止4已结束
     */
    private Integer status;

    /**
     * 入群方式 1规则入群2定向入群
     */
    private Integer joinType;

    /**
     * 奖励类型 1定额奖励2阶梯奖励
     */
    private Integer inviteRewardType;
    /**
     * 开始时间
     */
    private Date beginDate;
    /**
     * 结束时间
     */
    private Date endDate;

    private Integer showSelfFlag = 0;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getJoinType() {
        return joinType;
    }

    public void setJoinType(Integer joinType) {
        this.joinType = joinType;
    }

    public Integer getInviteRewardType() {
        return inviteRewardType;
    }

    public void setInviteRewardType(Integer inviteRewardType) {
        this.inviteRewardType = inviteRewardType;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getShowSelfFlag() {
        return showSelfFlag;
    }

    public void setShowSelfFlag(Integer showSelfFlag) {
        this.showSelfFlag = showSelfFlag;
    }
}

